Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class FamilyAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.FamilyAdmin

    public class FamilyAdmin

extends java.lang.Object

The `FamilyAdmin.java` class - collection of Family admin tasks test.

Field Summary
`protected java.util.Hashtable` | `m_familyTable`
`protected AdminManager` | `m_Main`

Constructor Summary
`FamilyAdmin(AdminManager main)` The only constructor that is being used.

Method Summary
`void` | `deleteFamily(LibrarySession sess, ParameterTable params)` Section variant of delete Family
`void` | `deleteFamily(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Delete Family
`void` | `deleteFamily(LibrarySession sess, java.lang.String idname, LibraryObjectDefinition def)` Inline/internal variant of Delete Family
`void` | `freeFamily(LibrarySession sess, ParameterTable params)` Section variant of Free Family
`void` | `freeFamily(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Free Family
`void` | `identifyFamily(LibrarySession sess, ParameterTable params)` Section variant of Identify Family
`void` | `identifyFamily(LibrarySession sess, java.lang.String idname, java.lang.Long id, java.lang.String name, java.lang.String valueDefaultName, java.lang.String path, PublicObject poref)` Inline/internal variant of Identify Family
`Family` | `lookupFamily(java.lang.String idname)`
`void` | `modifyFamily(LibrarySession sess, ParameterTable params)` Section variant of Modify Family
`void` | `modifyFamily(LibrarySession sess, java.lang.String idname, FamilyDefinition def)` internal variant of Modify Family
`void` | `showFamily(LibrarySession sess, Family fam)`
`void` | `showFamily(LibrarySession sess, ParameterTable params)` Section variant of showFamily
`void` | `showFamily(LibrarySession sess, java.lang.String famname)` Inline/internal variant of showFamily
`void` | `showLatestVersion(LibrarySession sess, java.lang.String path)`
`void` | `showPrimaryVersionSeries(LibrarySession sess, ParameterTable params)` Section variant of showPrimaryVersionSeries
`void` | `showPrimaryVersionSeries(LibrarySession sess, java.lang.String idname)` Inline/internal variant of showPrimaryVersionSeries
`void` | `undeleteFamily(LibrarySession sess, ParameterTable params)` Section variant of undelete Family
`void` | `undeleteFamily(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Undelete Family
`void` | `undeleteFamily(LibrarySession sess, java.lang.String idname, LibraryObjectDefinition def)` Inline/internal variant of Undelete Family
`void` | `unidentifyFamily(LibrarySession sess, ParameterTable params)` Section variant of Unidentify Family

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Main

    protected AdminManager m_Main

### m_familyTable

    protected java.util.Hashtable m_familyTable

Constructor Detail

### FamilyAdmin

    public FamilyAdmin(AdminManager main)

  The only constructor that is being used.

  Parameters:
    `main` - the administration manager

Method Detail

### modifyFamily

    public void modifyFamily(LibrarySession sess,
                             ParameterTable params)
                      throws IfsException

  Description copied from class: `FamilyAdmin`
  Section variant of Modify Family

  Throws:
    `IfsException`

### modifyFamily

    public void modifyFamily(LibrarySession sess,
                             java.lang.String idname,
                             FamilyDefinition def)
                      throws IfsException

  Description copied from class: `FamilyAdmin`
  internal variant of Modify Family

  Throws:
    `IfsException`

### freeFamily

    public void freeFamily(LibrarySession sess,
                           ParameterTable params)
                    throws IfsException

  Description copied from class: `FamilyAdmin`
  Section variant of Free Family

  Throws:
    `IfsException`

### freeFamily

    public void freeFamily(LibrarySession sess,
                           java.lang.String idname)
                    throws IfsException

  Description copied from class: `FamilyAdmin`
  Inline/internal variant of Free Family

  Throws:
    `IfsException`

### deleteFamily

    public void deleteFamily(LibrarySession sess,
                             ParameterTable params)
                      throws IfsException

  Description copied from class: `FamilyAdmin`
  Section variant of delete Family

  Throws:
    `IfsException`

### deleteFamily

    public void deleteFamily(LibrarySession sess,
                             java.lang.String idname)
                      throws IfsException

  Description copied from class: `FamilyAdmin`
  Inline/internal variant of Delete Family

  Throws:
    `IfsException`

### deleteFamily

    public void deleteFamily(LibrarySession sess,
                             java.lang.String idname,
                             LibraryObjectDefinition def)
                      throws IfsException

  Description copied from class: `FamilyAdmin`
  Inline/internal variant of Delete Family

  Throws:
    `IfsException`

### undeleteFamily

    public void undeleteFamily(LibrarySession sess,
                               ParameterTable params)
                        throws IfsException

  Description copied from class: `FamilyAdmin`
  Section variant of undelete Family

  Throws:
    `IfsException`

### undeleteFamily

    public void undeleteFamily(LibrarySession sess,
                               java.lang.String idname)
                        throws IfsException

  Description copied from class: `FamilyAdmin`
  Inline/internal variant of Undelete Family

  Throws:
    `IfsException`

### undeleteFamily

    public void undeleteFamily(LibrarySession sess,
                               java.lang.String idname,
                               LibraryObjectDefinition def)
                        throws IfsException

  Description copied from class: `FamilyAdmin`
  Inline/internal variant of Undelete Family

  Throws:
    `IfsException`

### identifyFamily

    public void identifyFamily(LibrarySession sess,
                               ParameterTable params)
                        throws IfsException

  Description copied from class: `FamilyAdmin`
  Section variant of Identify Family

  Throws:
    `IfsException`

### identifyFamily

    public void identifyFamily(LibrarySession sess,
                               java.lang.String idname,
                               java.lang.Long id,
                               java.lang.String name,
                               java.lang.String valueDefaultName,
                               java.lang.String path,
                               PublicObject poref)
                        throws IfsException

  Description copied from class: `FamilyAdmin`
  Inline/internal variant of Identify Family

  Throws:
    `IfsException`

### unidentifyFamily

    public void unidentifyFamily(LibrarySession sess,
                                 ParameterTable params)
                          throws IfsException

  Description copied from class: `FamilyAdmin`
  Section variant of Unidentify Family

  Throws:
    `IfsException`

### showFamily

    public void showFamily(LibrarySession sess,
                           ParameterTable params)
                    throws IfsException

  Description copied from class: `FamilyAdmin`
  Section variant of showFamily

  Throws:
    `IfsException`

### showFamily

    public void showFamily(LibrarySession sess,
                           java.lang.String famname)
                    throws IfsException

  Description copied from class: `FamilyAdmin`
  Inline/internal variant of showFamily

  Throws:
    `IfsException`

### showFamily

    public void showFamily(LibrarySession sess,
                           Family fam)
                    throws IfsException

  Throws:
    `IfsException`

### lookupFamily

    public Family lookupFamily(java.lang.String idname)
                        throws IfsException

  Throws:
    `IfsException`

### showLatestVersion

    public void showLatestVersion(LibrarySession sess,
                                  java.lang.String path)
                           throws IfsException

  Throws:
    `IfsException`

### showPrimaryVersionSeries

    public void showPrimaryVersionSeries(LibrarySession sess,
                                         ParameterTable params)
                                  throws IfsException

  Description copied from class: `FamilyAdmin`
  Section variant of showPrimaryVersionSeries

  Throws:
    `IfsException`

### showPrimaryVersionSeries

    public void showPrimaryVersionSeries(LibrarySession sess,
                                         java.lang.String idname)
                                  throws IfsException

  Description copied from class: `FamilyAdmin`
  Inline/internal variant of showPrimaryVersionSeries

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD